%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtpurchasing
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 purchasing component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtpurchasing-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Qt5 purchasing component.

%package -n libQt5Purchasing
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5Purchasing
This package contains shared libraries for %{name}.

%package -n libQt5Purchasing-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5Purchasing = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5Purchasing-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtpurchasing-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5Purchasing -p /sbin/ldconfig
%postun -n libQt5Purchasing -p /sbin/ldconfig

%files -n libQt5Purchasing
%defattr(-,root,root)
%{_libdir}/libQt5Purchasing.so.*
%dir %{_libdir}/qt5/qml/QtPurchasing
%{_libdir}/qt5/qml/QtPurchasing/*
%doc LICENSE.*

%files -n libQt5Purchasing-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtPurchasing
%{_includedir}/qt5/QtPurchasing/*
%{_libdir}/libQt5Purchasing.prl
%{_libdir}/libQt5Purchasing.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_purchasing.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_purchasing_private.pri
%dir %{_libdir}/cmake/Qt5Purchasing
%{_libdir}/cmake/Qt5Purchasing/Qt5PurchasingConfig*.cmake
%{_libdir}/pkgconfig/Qt5Purchasing.pc

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
